Update a DeliverableVersion
curl --request PATCH \
--url https://api.example.com/api/entities/deliverableversion/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"createdAt": "2023-11-07T05:31:56Z",
"eventId": "<string>",
"fileId": "<string>",
"fileUrl": "<string>",
"filename": "<string>",
"id": "<string>",
"mimeType": "<string>",
"orgId": "<string>",
"size": 123,
"slotId": "<string>",
"speakerUserId": "<string>",
"uploaderUserId": "<string>",
"versionNumber": 123
}
'import requests
url = "https://api.example.com/api/entities/deliverableversion/{id}"
payload = {
"createdAt": "2023-11-07T05:31:56Z",
"eventId": "<string>",
"fileId": "<string>",
"fileUrl": "<string>",
"filename": "<string>",
"id": "<string>",
"mimeType": "<string>",
"orgId": "<string>",
"size": 123,
"slotId": "<string>",
"speakerUserId": "<string>",
"uploaderUserId": "<string>",
"versionNumber": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
createdAt: '2023-11-07T05:31:56Z',
eventId: '<string>',
fileId: '<string>',
fileUrl: '<string>',
filename: '<string>',
id: '<string>',
mimeType: '<string>',
orgId: '<string>',
size: 123,
slotId: '<string>',
speakerUserId: '<string>',
uploaderUserId: '<string>',
versionNumber: 123
})
};
fetch('https://api.example.com/api/entities/deliverableversion/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updated": true
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>"
}
}DeliverableVersion
Update a DeliverableVersion
PATCH
/
api
/
entities
/
deliverableversion
/
{id}
Update a DeliverableVersion
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Updated
⌘I